﻿.diony-button {
    background-color: #D2ED2B !important;
    color: black;
}

.diony-button:hover {
    background-color: #1ED300 !important;
    color: black;
}

.diony-link {
    color: white;
}

.diony-link:hover {
    color: #1ED300;
}

.text-danger {
    color: #FE0000 !important;
}

.hidden {
    display: none;
}

.sm-hidden {}

.w-55 {
    width: 300px;
}

.w-110 {
    width: 440px;
}

.h-55 {
    height: 55vh !important;
}

.h-60 {
    height: 60vh !important;
}   

.col-5th {
    flex: 0 0 20%;
    max-width: 20%;
}

.bg-lightgray {
    background: lightgray;
}

/* Sticky first column */
.sticky-grid td:first-child,
.sticky-grid th:first-child {
    position: sticky;
    left: 0;
    background: var(--mud-palette-surface);
    z-index: 5;
    /* optional: border-right for visual separation */
    border-right: 1px solid var(--mud-palette-divider);
}

/* prevent text wrap */
.sticky-grid td,
.sticky-grid th {
    white-space: nowrap;
}

@media (max-width: 639px) {
    .w-55, w-110 {
        width: 100%;
    }

    .sm-hidden {
        display: none;
    }

    .sm-block {
        display: block;
    }
}